> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Storefront activity (Calls or Changes: audit rows, briefs, orders, AdCP tasks)



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/activity
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/activity:
    get:
      tags:
        - Activity
      summary: >-
        Storefront activity (Calls or Changes: audit rows, briefs, orders, AdCP
        tasks)
      operationId: getStorefrontActivity
      parameters:
        - name: tab
          in: query
          required: false
          schema:
            default: changes
            type: string
            enum:
              - calls
              - changes
        - name: period
          in: query
          required: false
          schema:
            default: 7d
            type: string
            enum:
              - today
              - 7d
              - 30d
              - 90d
              - 1y
        - name: filter
          in: query
          required: false
          schema:
            default: all
            type: string
            enum:
              - all
              - created
              - updated
              - removed
              - activated
              - deactivated
        - name: resourceId
          in: query
          required: false
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          calls:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                at:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                operation:
                                  type: string
                                workload:
                                  type: string
                                surface:
                                  type: string
                                  enum:
                                    - rest
                                    - mcp
                                    - a2a
                                outcome:
                                  type: string
                                  enum:
                                    - succeeded
                                    - accepted
                                    - denied
                                    - failed
                                    - cancelled
                                    - unknown
                                latencyMs:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                              required:
                                - id
                                - at
                                - operation
                                - workload
                                - surface
                                - outcome
                                - latencyMs
                              additionalProperties: false
                          changes:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                at:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                actorKind:
                                  type: string
                                  enum:
                                    - user
                                    - agent
                                    - automation
                                    - buyer_agent
                                    - system
                                actorLabel:
                                  type: string
                                action:
                                  type: string
                                  enum:
                                    - CREATE
                                    - UPDATE
                                    - DELETE
                                    - ARCHIVE
                                    - EXECUTE
                                    - ACTIVATE
                                    - DEACTIVATE
                                resourceType:
                                  type: string
                                  enum:
                                    - ADVERTISER
                                    - CAMPAIGN
                                    - CREATIVE
                                    - MEDIA_BUY
                                    - PACKAGE
                                    - PRODUCT
                                    - STOREFRONT
                                    - STOREFRONT_INVENTORY_SOURCE
                                    - ACCEPTANCE_POLICY
                                    - OPERATING_INSTRUCTIONS
                                    - RFP
                                    - APPROVAL
                                resourceId:
                                  type: string
                                resourceName:
                                  type:
                                    - string
                                    - 'null'
                                description:
                                  type: string
                                changedFields:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      field:
                                        type: string
                                      label:
                                        type: string
                                      before: {}
                                      after: {}
                                    required:
                                      - field
                                      - label
                                      - before
                                      - after
                                    additionalProperties: false
                              required:
                                - id
                                - at
                                - actorKind
                                - actorLabel
                                - action
                                - resourceType
                                - resourceId
                                - resourceName
                                - description
                                - changedFields
                              additionalProperties: false
                          page:
                            type: object
                            properties:
                              nextCursor:
                                type:
                                  - string
                                  - 'null'
                              hasMore:
                                type: boolean
                            required:
                              - nextCursor
                              - hasMore
                            additionalProperties: false
                        required:
                          - calls
                          - changes
                          - page
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````